OracleAppJ2EEServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppJ2EEServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppJ2EEServer

All Superinterfaces:
  AppServer, ConfigurationItem, J2EEServer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface OracleAppJ2EEServer

extends J2EEServer

OracleAppJ2EEServer

Persistable:
  true
Top Level:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary
`OracleAppJ2EEApplication` | `getDefaultApplication()`
`java.lang.String` | `getDefaultRoutingId()`
`boolean` | `getDmsOn()`
`java.lang.String` | `getJavaVendor()`
`java.lang.String` | `getJavaVersion()`
`java.lang.String` | `getLogLevel()`
`java.lang.String` | `getOracleHome()`
`boolean` | `getRunningClusterMBeanServer()`
`java.lang.String` | `getSecurityDeploymentURL()`
`java.lang.String` | `getSecurityProvider()`
`boolean` | `hasDefaultApplication()`
`boolean` | `hasDefaultRoutingId()`
`boolean` | `hasDmsOn()`
`boolean` | `hasJavaVendor()`
`boolean` | `hasJavaVersion()`
`boolean` | `hasLogLevel()`
`boolean` | `hasOracleHome()`
`boolean` | `hasRunningClusterMBeanServer()`
`boolean` | `hasSecurityDeploymentURL()`
`boolean` | `hasSecurityProvider()`
`void` | `setDefaultApplication(OracleAppJ2EEApplication application)`
`void` | `setDefaultRoutingId(java.lang.String defaultRoutingId)`
`void` | `setDmsOn(boolean dmsOn)`
`void` | `setJavaVendor(java.lang.String javaVendor)`
`void` | `setJavaVersion(java.lang.String javaVersion)`
`void` | `setLogLevel(java.lang.String logLevel)`
`void` | `setOracleHome(java.lang.String oracleHome)`
`void` | `setRunningClusterMBeanServer(boolean runningClusterMBeanServer)`
`void` | `setSecurityDeploymentURL(java.lang.String securityDeploymentURL)`
`void` | `setSecurityProvider(java.lang.String securityProvider)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEServer
`getDeployedObjectsRaw, getParent, hasDeployedObjectsRaw, hasParent, setDeployedObjectsRaw, setParent`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getOracleHome

    java.lang.String getOracleHome()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOracleHome

    void setOracleHome(java.lang.String oracleHome)

### hasOracleHome

    boolean hasOracleHome()

### getDefaultApplication

    OracleAppJ2EEApplication getDefaultApplication()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultApplication

    void setDefaultApplication(OracleAppJ2EEApplication application)

### hasDefaultApplication

    boolean hasDefaultApplication()

### getDefaultRoutingId

    java.lang.String getDefaultRoutingId()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultRoutingId

    void setDefaultRoutingId(java.lang.String defaultRoutingId)

### hasDefaultRoutingId

    boolean hasDefaultRoutingId()

### getDmsOn

    boolean getDmsOn()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDmsOn

    void setDmsOn(boolean dmsOn)

### hasDmsOn

    boolean hasDmsOn()

### getLogLevel

    java.lang.String getLogLevel()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogLevel

    void setLogLevel(java.lang.String logLevel)

### hasLogLevel

    boolean hasLogLevel()

### getJavaVendor

    java.lang.String getJavaVendor()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaVendor

    void setJavaVendor(java.lang.String javaVendor)

### hasJavaVendor

    boolean hasJavaVendor()

### getJavaVersion

    java.lang.String getJavaVersion()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaVersion

    void setJavaVersion(java.lang.String javaVersion)

### hasJavaVersion

    boolean hasJavaVersion()

### getRunningClusterMBeanServer

    boolean getRunningClusterMBeanServer()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRunningClusterMBeanServer

    void setRunningClusterMBeanServer(boolean runningClusterMBeanServer)

### hasRunningClusterMBeanServer

    boolean hasRunningClusterMBeanServer()

### getSecurityProvider

    java.lang.String getSecurityProvider()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSecurityProvider

    void setSecurityProvider(java.lang.String securityProvider)

### hasSecurityProvider

    boolean hasSecurityProvider()

### getSecurityDeploymentURL

    java.lang.String getSecurityDeploymentURL()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSecurityDeploymentURL

    void setSecurityDeploymentURL(java.lang.String securityDeploymentURL)

### hasSecurityDeploymentURL

    boolean hasSecurityDeploymentURL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD